Bug 253230 - SELinux prohibited yum update of nfs-utils-1.1.0-3-fc7
SELinux prohibited yum update of nfs-utils-1.1.0-3-fc7
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-17 10:37 EDT by Philip Sherman
Modified: 2008-01-30 14:06 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:06:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Sherman 2007-08-17 10:37:18 EDT
Description of problem: Error occurred during yum update of system


Version-Release number of selected component (if applicable):
See attached

How reproducible:
Probably not.

Steps to Reproduce:
1. Restore system to pre-update level
2. Install yum updates
2.
3.
  
Actual results:
See additional information for SELinux error log information

Expected results:
No errors

Additional info:
SELinux is preventing /sbin/rpc.statd (rpcd_t) "write" to (sysctl_fs_t).
Detailed Description
SELinux denied access requested by /sbin/rpc.statd. It is not expected that this
access is required by /sbin/rpc.statd and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.
Allowing Access
Sometimes labeling problems can cause SELinux denials. You could try to restore
the default system file context for , restorecon -v If this does not work, there
is currently no automatic way to allow this access. Instead, you can generate a
local policy module to allow this access - see FAQ Or you can disable SELinux
protection altogether. Disabling SELinux protection is not recommended. Please
file a bug report against this package.
Additional Information
Source Context:  system_u:system_r:rpcd_t
Target Context:  system_u:object_r:sysctl_fs_t
Target Objects:  None [ file ]Affected RPM Packages:  nfs-utils-1.1.0-3.fc7
[application]
Policy RPM:  selinux-policy-2.6.4-33.fc7
Selinux Enabled:  True
Policy Type:  targeted
MLS Enabled:  True
Enforcing Mode:  Enforcing
Plugin Name:  plugins.catchall_file
Host Name:  localhost.localdomain
Platform:  Linux localhost.localdomain 2.6.22.1-41.fc7 #1 SMP Fri Jul 27
18:10:34 EDT 2007 i686 athlon
Alert Count:  1First Seen:  Fri 17 Aug 2007 10:21:48 AM EDT
Last Seen:  Fri 17 Aug 2007 10:21:56 AM EDT
Local ID:  1e51689d-8ad2-40b6-a631-eabeff43986d
Line Numbers:  
Raw Audit Messages :

avc: denied { write } for comm="rpc.statd" egid=0 euid=0 exe="/sbin/rpc.statd"
exit=-13 fsgid=0 fsuid=0 gid=0 items=0 pid=3258
scontext=system_u:system_r:rpcd_t:s0 sgid=0 subj=system_u:system_r:rpcd_t:s0
suid=0 tclass=file tcontext=system_u:object_r:sysctl_fs_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-08-20 14:58:17 EDT
Fixed in selinux-policy-2.6.4-39.fc7
Comment 2 Daniel Walsh 2008-01-30 14:06:12 EST
Bulk closing a old selinux policy bugs that were in the modified state.  If the
bug is still not fixed.  Please reopen.

Note You need to log in before you can comment on or make changes to this bug.